//led.c
#include <iolpc2138.h>
#include "led.h"

//it's a simple delay
void Delay (unsigned long a) {
  while (--a!=0);
}

// init led port
void LedInit(void) {
  IO0DIR_bit.P0_31 = 1;    //set port0.31 to output
}

// single blink
void LedBlink(void) {
  IO0CLR_bit.P0_31 = 1;    //on led
  Delay(500000);           //delay
  IO0SET_bit.P0_31 = 1;    //off led
  Delay(500000);           //delay
}

// turn on led
void LedOn(void) {
  IO0CLR_bit.P0_31 = 1;    //on led
}

// turn off led
void LedOff(void) {
  IO0SET_bit.P0_31 = 1;    //off led
}

